%global momorel 2

Name:           perl-Data-Throttler
Version:        0.05
Release:        %{momorel}m%{?dist}
Summary:        Limit data throughput
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Data-Throttler/
Source0:        http://www.cpan.org/authors/id/M/MS/MSCHILLI/Data-Throttler-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-DBM-Deep >= 1.0006
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Log-Log4perl >= 1
BuildRequires:  perl-Set-IntSpan
BuildRequires:  perl-Text-ASCIITable
BuildRequires:  perl-FileHandle-Fmode
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Data::Throttler helps solving throttling tasks like "allow a single IP only
to send 100 emails per hour". It provides an optionally persistent data
store to keep track of what happened before and offers a simple yes/no
interface to an application, which can then focus on performing the actual
task (like sending email) or suppressing/postponing it.

%prep
%setup -q -n Data-Throttler-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Data/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.05-2m)
- full rebuild for mo7 release

* Sat Jul 10 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.05-1m)
- update to 0.05

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.04-2m)
- rebuild against perl-5.12.1

* Sun May  2 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.04-1m)
- update to 0.04

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.03-5m)
- rebuild against perl-5.12.0

* Tue Jan 19 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.03-4m)
- change source download URL from by-module to authors
- www.cpan.org/modules/by-module was not updated

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.03-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.03-2m)
- rebuild against perl-5.10.1

* Tue Aug  4 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.03-1m)
- update to 0.03

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.02-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.02-2m)
- rebuild against gcc43

* Sat Mar  8 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.02-1m)
- update to 0.02

* Sun Feb  3 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.01-2m)
- add BuildRequires:  perl-FileHandle-Fmode

* Wed Oct 03 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.01-1m)
- Specfile autogenerated by cpanspec 1.73 for Momonga Linux.
